%define name		win32-codecs
%define version		1.9
%define release		%mkrel 1
%define distsuffix plf
%define source0 essential-20071007

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Win32 codec binaries
License:	Commercial
Group:		System/Libraries
URL:		http://plf.zarb.org
Source0:	http://www1.mplayerhq.hu/MPlayer/releases/codecs/%source0.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
ExclusiveArch:	%ix86

%description
This package contains Win32 codec binaries, required for the
decompression of video formats that have no open source
alternative. 

This package is in PLF for it's non-free license.


%prep
%setup -q -n %source0

%build

%install
rm -rf %buildroot
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/win32
install -m 644 *.* $RPM_BUILD_ROOT%{_libdir}/win32
#gw they are in the real-codecs package
rm -f %buildroot%_libdir/win32/*.so*

%clean 
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README
%{_libdir}/win32

%changelog
* Wed May 14 2008 Gtz Waschk <goetz@zarb.org> 1.9-1plf2009.0
- drop qt63 and wmv8
- essentials 20071007

* Sun Oct 22 2006 Gtz Waschk <goetz@zarb.org> 1.8-2plf2007.1
- drop source 2, now in essential
- update essentials to 20060611

* Thu Jun  8 2006 Gtz Waschk <goetz@zarb.org> 1.8-1plf2007.0
- add VC-1
- update essentials to 20060501, removing some old codecs

* Thu Apr 21 2005 Gtz Waschk <goetz@zarb.org> 1.7-2plf
- put back the Quicktime 6.3 dlls, xine needs them

* Wed Apr 20 2005 Gtz Waschk <goetz@zarb.org> 1.7-1plf
- drop separate quicktime dlls
- new essential codes package

* Thu Feb 01 2005 Sebastien Savarin <plouf@zarb.org> 1.6-4plf 
- change ton new version of qt63dlls-20050115
* Fri Sep 17 2004 Gtz Waschk <goetz@zarb.org> 1.6-3plf
- back to quicktime 6.3 now that xine was updated

* Wed Aug 25 2004 Gtz Waschk <goetz@zarb.org> 1.6-2plf
- revert to quicktime 6, xine wasn't ready for 6.3 yet.

* Fri Jul  9 2004 Gtz Waschk <goetz@plf.zarb.org> 1.6-1plf
- updat description
- update to the latest mplayer codec packs

* Wed Apr 28 2004 Gtz Waschk <goetz@plf.zarb.org> 1.5-1plf
- new version

* Sun Aug 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4-2plf
- add wmv8ds32.ax which is still needed by xine

* Mon May 12 2003 Gtz Waschk <goetz@plf.zarb.org> 1.4-1plf
- only use lite version of the win32 codecs pack form mplayerhq.hu
- qt6 dlls

* Thu Nov 28 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.3-1plf
- add the QuickTime dlls

* Tue Nov 26 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.2-1plf
- add the WM9 DMOs from the avifile web page  
- remove separate wmv9 plugin

* Fri Nov 22 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.1-1plf
- spec fixes
- add wmv9 plugin for avifile
- update mplayer codecs package (no version number in the file, but it's 0.90) 

* Thu Jan 31 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1plf
- merged mplayer codecs (Thierry Vignaud <tvignaud@mandrakesoft.com>)
- new versioning scheme

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 20011002-2plf 
- new plf extension

* Mon Dec 31 2001 Guillaume Rousse <rousse@ccr.jussieu.fr> 20011002-2mdk 
- ExclusiveArch: ix86 (Stefan van der Eijk <stefan@eijk.nu>)

* Mon Nov 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 20011002-1mdk
- first PFL release
